Jump to content

Philips DVD player remote


Segfault
 Share

Recommended Posts

Alright, you lost me. Do you want me to use your software to log in my Kodi box? It cannot be done, I do not have any Window Managers installed, just Kodi running on Xorg. Additionally, my Kodi box is running on Gentoo, installing your software on Gentoo is not easy. I think I tried once but gave up.

Link to comment
Share on other sites

No telling. I have just one Kodi box currently. My home was flooded last year, I lost all my frontends. My desktop has no Kodi installed. I have Linux Mint in VirtualBox to support my friends who use it, I have your software installed in Mint. Desktop itself is Gentoo.

All I can tell it worked alright until I upgraded the firmware. :( Of course, there is a possibility it is just a coincidence and something happened to my remote same time. But the odds are very low. Please let me know if there is a way to debug it using my existing equipment and I'll do it. I have to admit the problem is quite irritating right now.

Link to comment
Share on other sites

5 hours ago, Segfault said:

No telling. I have just one Kodi box currently. My home was flooded last year, I lost all my frontends. My desktop has no Kodi installed. I have Linux Mint in VirtualBox to support my friends who use it, I have your software installed in Mint. Desktop itself is Gentoo.

All I can tell it worked alright until I upgraded the firmware. :( Of course, there is a possibility it is just a coincidence and something happened to my remote same time. But the odds are very low. Please let me know if there is a way to debug it using my existing equipment and I'll do it. I have to admit the problem is quite irritating right now.

Okay, I see you named the log file my_flirc_config, that threw me off

I think I know what's wrong, you'll have to setup a remote session with me so we can do a few things together.

Link to comment
Share on other sites

OK, I found there is a command line utility in your software package, I thought maybe I can run it in my Kodi box to debug the issue. No go. My Kodi box has no 32-bit support and the executable is 32-bit. Amen. The only OS I can run it on is my VBox Linux Mint. 

Every freakin' flash utility I've used in my life offers old firmware backup in case the new one has a problem. This is the first case I experience downgrading the firmware is literally denied. Your software, your policies. For me it is time to look for a different solution, methinks. Getting frustrated, yes, sorry.

Link to comment
Share on other sites

  • 5 years later...
On 2/24/2017 at 6:39 PM, yawor said:

OK, thanks. It's a remote for Philips DVD player models DVP3962 DVP3980 DVP3982. I've programmed my universal remote for one of those players.

Protocol being used is RC6, so I was right about that. The carrier frequency is standard for RC6 (36 kHz) so it in range for Flirc.

RC6 is similar to RC5, so it has a toggle bit which is alternating between key presses. But the bit encoding is reversed compared to RC5.

I've tested with old Flirc (fw 3.8.0) and the behaviour is exactly like described by @Segfault. I've been able to record all 4 directional keys (with some errors that the key is already recorded) but after that some keys are alternating between different recorded functions. For example, in my case, pressing left dir key on remote once executes cursor left, but another press on left dir key executes cursor right.

On new Flirc (fw 4.0.0.10 and 4.0.0.15) the keys are properly recognised. There were no issues at all with recording all 4 direction keys (each key recorded twice because of toggle bit in RC6). Normal operation was ok: I've been able to properly navigate in the foreground app using direction keys. No issues like with v1, that the key is recognised as something else like philips hue vs wiz.

Jason, if you have a Harmony, you should be able to add one of the DVD models I've mentioned at the beginning.

I don't understand. Is it a firmware or hardware issue with Flirc? What is the maximum age of my FLIRC device for new firmware?

Edited by jessicajonny
Link to comment
Share on other sites

5 minutes ago, jessicajonny said:

I don't understand. Is it a firmware or hardware issue with Flirc? What is the maximum age of my FLIRC device for new firmware?

I don't understand the question.

I don't post older version of the firmware, they are embedded inside the GUI. There is no maximum age limit, any device can load any firmware. If someone needs to try an older version.

The older version of hardware is really old. It's like 10 years old. I've done some minor updates. The firmware isn't compatible, the processor in the new model is infinitely better.

 

 

 

Link to comment
Share on other sites

On 9/14/2022 at 11:19 PM, jason said:

I don't understand the question.

I don't post older version of the firmware, they are embedded inside the GUI. There is no maximum age limit, any device can load any firmware. If someone needs to try an older version.

The older version of hardware is really old. It's like 10 years old. I've done some minor updates. The firmware isn't compatible, the processor in the new model is infinitely better.

 

vat calculator

pickleballhop

 

Thanks jason for your kind response. let me try an older version.

Edited by jessicajonny
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...